Skip to main content
The Criteo engine maximizes advertising performance while optimizing the shopper experience. It can automatically and intelligently control how much a line item delivers on each page type. In addition, bid multipliers provide campaign managers more control over managing bids at the line item level while also optimizing campaign performance goals at a page-type level. Bid multipliers are available at the Onsite Sponsored Products line items level. In addition, campaign managers can modify bids only on enabled page types. Bids can be increased up to 500% or decreased up to 50% on each page targeted at the line item level. For example: If a line item bid is $1, with a bid multiplier, you can increase the Search page bid by 20% and decrease the homepage bid by 10%. The Criteo engine will optimize more delivery and performance on the search page while also allowing the control of which page types budget is mostly allocated towards.

Endpoints

Verb

Endpoint

Description

GET

/line-items/{lineItemId}/bid-multipliers

Returns all bid multipliers per page types of the specified line item.

PUT

/line-items/{lineItemId}/bid-multipliers

Updates bid multipliers with new values or reset to default one.

 

Bid Multiplier Attributes

Attribute

Data Type

Description

id

string

Line item ID, generated internally by Criteo

Accepted values: string of int64

Writeable? N / Nullable? N

home

decimal

Bid multiplier to thehomepage type

Note: bids can be increased up to 500% (6.0) or decreased up to 50% (0.50)

Accepted values:0.50home6.0

Default:1.0

Writeable? Y / Nullable? N

search

decimal

Bid multiplier to thesearchpage type

Note: bids can be increased up to 500% (6.0) or decreased up to 50% (0.50)

Accepted values:0.50search6.0

Default:1.0

Writeable? Y / Nullable? N

category

decimal

Bid multiplier to thecategorypage type

Note: bids can be increased up to 500% (6.0) or decreased up to 50% (0.50)

Accepted values:0.50category6.0

Default:1.0

Writeable? Y / Nullable? N

productDetail

decimal

Bid multiplier to theproductDetailpage type

Note: bids can be increased up to 500% (6.0) or decreased up to 50% (0.50)

Accepted values:0.50productDetail6.0

Default:1.0

Writeable? Y / Nullable? N

merchandising

decimal

Bid multiplier to themerchandisingpage type

Note: bids can be increased up to 500% (6.0) or decreased up to 50% (0.50)

Accepted values:0.50merchandising6.0

Default:1.0

Writeable? Y / Nullable? N

deals

decimal

Bid multiplier to thedealspage type

Note: bids can be increased up to 500% (6.0) or decreased up to 50% (0.50)

Accepted values:0.50deals6.0

Default:1.0

Writeable? Y / Nullable? N

favorites

decimal

Bid multiplier to thefavoritespage type

Note: bids can be increased up to 500% (6.0) or decreased up to 50% (0.50)

Accepted values:0.50favorites6.0

Default:1.0

Writeable? Y / Nullable? N

searchBar

decimal

Bid multiplier to thesearchBarpage type

Note: bids can be increased up to 500% (6.0) or decreased up to 50% (0.50)

Accepted values:0.50searchBar6.0

Default:1.0

Writeable? Y / Nullable? N

categoryMenu

decimal

Bid multiplier to thecategoryMenupage type

Note: bids can be increased up to 500% (6.0) or decreased up to 50% (0.50)

Accepted values:0.50categoryMenu6.0

Default:1.0

Writeable? Y / Nullable? N

checkout

decimal

Bid multiplier to thecheckoutpage type

Note: bids can be increased up to 500% (6.0) or decreased up to 50% (0.50)

Accepted values:0.50checkout6.0

Default:1.0

Writeable? Y / Nullable? N

confirmation

decimal

Bid multiplier to theconfirmationpage type

Note: bids can be increased up to 500% (6.0) or decreased up to 50% (0.50)

Accepted values:0.50confirmation6.0

Default:1.0

Writeable? Y / Nullable? N

Field Definitions
  • Writeable (Y/N): Indicates if the field can be modified in requests.
  • Nullable (Y/N): Indicates if the field can accept null/empty values.
  • Primary Key: A unique, immutable identifier of the entity, generated internally by Criteo. Primary keys are typically ID fields (e.g., retailerId, campaignId, lineItemId) and are usually required in the URL path.

Get Bid Multipliers

Returns all bid multipliers for page types of the specified line item.
Note: this endpoint returns all possible page types supported by our platform, including the ones not currently supported by the respective retailer associated with the line item. For the effective list of supported page types, please refer to Retailers
Sample Request
curl -L -X GET 'https://api.criteo.com/{version}/retail-media/line-items/347413132777078784/bid-multipliers' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer MY_ACCESS_TOKEN'
Sample Response
{
    "data": {
        "type": "LineItemBidMultipliersV2",
        "attributes": {
            "id": "347413132777078784",
            "home": 1.90,
            "search": 1.10,
            "category": 1.50,
            "productDetail": 1.60,
            "merchandising": 1.70,
            "deals": 2.00,
            "favorites": 2.30,
            "searchBar": 1.00,
            "categoryMenu": 1.10,
            "checkout": 2.50,
            "confirmation": 1.30
        }
    },
    "warnings": [],
    "errors": []
}

Update Bid Multipliers

Replaces all existing bid multipliers with the provided bid multipliers or the default value, i.e., 1.0.
Note: A PUT operation with empty attributes object will reset all values to their default value
Sample Request
curl -L -X PUT 'https://api.criteo.com/{version}/retail-media/line-items/347112182987198464/bid-multipliers' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer MY_ACCESS_TOKEN' \
--data-raw '{
	"data": {
    "id": "347112182987198464",
    "type": "RetailMediaBidMultiplier"
		"attributes": {
			"home": "1.90",
			"search": "1.10",
			"category": "1.50",
			"productDetail": "1.60",
			"merchandising": "1.70",
      "deals": "2.00",
      "favorites": "2.30",
      "searchBar": "1.00",
      "categoryMenu": "1.10",
      "checkout": "2.50",
      "confirmation": "1.30"
		}
	}
}'
Sample Response
{
    "data": {
        "id": 347112182987198464,
        "type": "LineItemBidMultipliersV2",
        "attributes": {
            "home": 1.90,
            "search": 1.10,
            "category": 1.50,
            "productDetail": 0.50,
            "merchandising": 1.70,
            "deals": 2.00,
            "favorites": 2.30,
            "searchBar": 1.00,
            "categoryMenu": 1.10,
            "checkout": 2.50,
            "confirmation": 1.30
        }
    },
    "warnings": [],
    "errors": []
}

Responses

Response

Description

🔵200

Call executed with success

🔴400

BidMultiplierOutOfRange

A bid multiplier provided is out of range of the expected range and could not be accepted

IllegalValueProvided

An invalid page type or poorly formatted bid multiplier was provided

🔴401

Unauthorized

User doesnt have permission to edit a specified line item

🔴404

LineItemDoesntExist

Attempted to fetch or manipulate a line item that does not exist